
uniform sampler2D textureMap;
uniform sampler2D alphaMap;

void main (void)
{
    vec4 texval1 = texture2D(textureMap, vec2(gl_TexCoord[0]));
    vec4 texval2 = texture2D(alphaMap, vec2(gl_TexCoord[1]));

    gl_FragColor[0] = texval1[0];
    gl_FragColor[1] = texval1[1];
    gl_FragColor[2] = texval1[2];
    gl_FragColor[3] = texval1[3] * texval2[3];
}
